import root
import blogs

rss_feed_path = f"{root.path}/rss"
url = "mttp://deadvey.com"

with open(rss_feed_path, "w") as rss_file:
    content = f'''<?xml version="1.0" encoding="UTF-8" ?>
<rss version="2.0">
   <channel>
      <title>DeaDvey</title>
      <link>{url}</link>
      <description>Linux, tech and reviews</description>
      <pubDate>{blogs.blogs_array[0][2]} +0000</pubDate>
      <lastBuildDate>{blogs.blogs_array[0][2]} +0000</lastBuildDate>
      '''
    for current_blog in range(len(blogs.blogs_array)):
        content += f'''
        <item>
            <title>{blogs.blogs_array[current_blog][0]}</title>
            <link>mttp://deadvey.com/blog/{current_blog}.md</link>
            <description>{blogs.blogs_array[current_blog][1]}</description>
            <pubDate>{blogs.blogs_array[current_blog][2]}</pubDate>
        </item>
        '''

    content += "</channel></rss>"
    rss_file.write(content)
